<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\TinyEvent\EventEmitterInterface;
use NoccyLabs\TinyEvent\EventEmitterTrait;

class MyClass implements EventEmitterInterface
{
    use EventEmitterTrait;

    public function test()
    {
        $this->emitEvent("test");
    }

}

$obj = new MyClass();

$obj->addListener("test", function ($event, $foo) {
    echo "Got event of type: ".$event->getType()."\n";
    echo "Foo is: ".$foo."\n";
}, "Hello World");

$obj->test();
