<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\TinyEvent\EventDispatcher;
use NoccyLabs\TinyEvent\Event;


$dispatcher = new EventDispatcher();

$dispatcher->addListener("test", function ($event, $foo) {
    echo "Got event of type: ".$event->getType()."\n";
    echo "Foo is: ".$foo."\n";
    echo "Bazinga is: ".($event->bazinga?"true":"false")."\n";
}, "Hello World");

$evt = new Event();
$evt->bazinga = true;
$dispatcher->dispatchEvent("test", $evt);
